Get intent import
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidimport_id*Import IdFormat
uuidSuccessful Response
application/json- response
actor_id*Actor IdFormat
uuidactor_name*Actor Namecapture*changes*array<>created_at*Created AtFormat
date-timeexternal_revision*External Revisionid*IdFormat
uuidprevious_import_id*|nullproposed_content_sha256*Proposed Content Sha256source_content_sha256*Source Content Sha256source_id*Source IdFormat
uuidsource_revision*Source Revisionversion_id*Version IdFormat
uuidwarnings*array<string>curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/imports/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "actor_id": "04f37679-bfbf-4906-b749-01756515cecf", "actor_name": "string", "capture": { "access_policy": "workspace_reviewers", "author": "string", "branch_ref": "string", "captured_at": "2019-08-24T14:15:22Z", "commit_sha": "string", "content": "string", "content_sha256": "string", "format": "calm", "kind": "string", "pull_number": 0, "redacted": true, "repository_path": "string", "retained_content_sha256": "string", "revision": "string", "source_updated_at": "2019-08-24T14:15:22Z", "transport": "upload", "uri": "string", "verification": "provider_verified" }, "changes": [ { "action": "added", "collection": "elements", "fields": [ "string" ], "key": "string", "summary": "string" } ], "created_at": "2019-08-24T14:15:22Z", "external_revision": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "previous_import_id": "fbc3bb5c-2971-4b8a-9792-5da9a63f9f96", "proposed_content_sha256": "string", "source_content_sha256": "string", "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81", "source_revision": 0, "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c", "warnings": [ "string" ]}